pixma ip1800 printer divers help please

Asked by wayne kelley on 2013-01-12

I am recently trying Linux. I have a canon ip180 printer i am trying to make work. I would also like to take Vista windows off the hard drive. I have spent weeks looking and trying the sujestions and looking for answers to what I would like to do..
Could someone please give me a set by step solution to these two things I would like to solve. I am so use to windows automaticly doing what it needs to do. I will need a learning curve on how to use a terminal.. Do not even know where to get that to pop up yet. I am running a AMD prossesor dual core on a asus mother board basicly a genaric from WallMart. Any help to start moving in the right direction would be greatly welcomed.
Please remember I am TOTALLY new so if there is something that is needed to solve my problems let me know and i will try and post it.
Thank you

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu cups Edit question
Assignee:
No assignee Edit question
Last query:
2013-01-13
Last reply:
2013-01-13

Did you check the canon Europe site?

wayne kelley (wkelley1969) said : #2

yes i did and down loaded what they did have the for linux i was able to find the PPD files after searching for a while.
found it here /./usr/share/cups/model/ but it did say

Printer 'Canon-iP1800-series' requires the '/usr/lib/cups/filter/pstocanonij' program but it is not currently installed. Please install it before using this printer.

as it looks to me like a program i did not find this at all.

the printer is hooked up by a USB cabble as well. the only way I know to link it.

I did try this because I did read it in one of the posts. I found 3 and tryed to attempt all 3 with eather no resultes or just got confused somewhere in the prosses. One link tryed to download something from the repository but did not do it. Something about bad or untrusted content and aborted.

wayne kelley (wkelley1969) said : #3

Oh ya it was the UK canon site as well. not a bad site to navagate.

www.linuxquestions.org/questions/linux-newbie-8/mp600-printer-installation-problem-on-ubuntu-9-04-a-720450/

Cnijfilter seems needed

wayne kelley (wkelley1969) said : #5

ok so where do i find that and how do I install it please

wayne kelley (wkelley1969) said : #7

followed the link. found the terminal (after 20 minutes of searching) and put in the first set of lines
     sudo add-apt-repository ppa:michael-gruz/canon
    sudo apt-get update

but when I put in the rest this is what I get

wayne@ubuntu:~$ sudo apt-get install cnijfilter-ip1800series
[sudo] password for wayne:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package cnijfilter-ip1800series
wayne@ubuntu:~$

this was the closes that I get and I do not know where to go now or if I am doing something wrong

I would like to thank you all for being patient with me

wayne kelley (wkelley1969) said : #8

also am trying

* Note: Ubuntu 12.04 has again blacklisted the usblp module which creates the /dev/usb/lp0 device link. To solve this problem do this

sudo nano /etc/modprobe.d/blacklist-cups-usblp.conf

Then comment the file to look like this, canons driver does not talk to the printer through cups:

# cups talks to the raw USB devices, so we need to blacklist usblp to avoid
# grabbing them
# blacklist usblp

i hope i did this right and works and ....... nope nada i am now getting the message when i try to print
"there is a missing print filter for printer 'Canon-ip1800-series'."

wayne kelley (wkelley1969) said : #9

ok the printer still does not work and I followed the instructions above.. soo now what??? please

Can you help with this problem?

Provide an answer of your own, or ask wayne kelley for more information if necessary.

To post a message you must log in.